<template>
     <form @submit.prevent="validateBeforeSubmit(editMode,true)" class="m-form m-form--fit m-form--label-align-right m-form--group-seperator-dashed" enctype="multipart/form-data">
        <div class="m-portlet__body">
             <div class="form-group m-form__group row">
                <div :class="{'col-lg-4':true,'has-danger':errors.has('item_inquire_number')}">
                    <label >{{$t('item_inquire.no')}}</label>
                    <input type="text" class="form-control m-input" v-validate="'required'" name="item_inquire_number" v-model="s_fields.item_inquire_number" :placeholder="$t('item_inquire.numb_holder')">
                    <span v-if="s_errors && s_errors.item_inquire_number"  class="m-form__help text-danger">{{s_errors.item_inquire_number[0]}}</span>
                    <span v-else :class="{'m-form__help':true, 'text-danger':errors.has('item_inquire_number')}" >{{errors.has('item_inquire_number') ? errors.first('item_inquire_number'): $t("item_inquire.num_note") }} </span>
                </div>
                <div :class="{'col-lg-4':true,'has-danger':errors.has('item_inquire_date')}">
                    <label class="form-control-label">{{$t('item_inquire.date')}}</label>
                    <custom-date-picker v-model="s_fields.item_inquire_date" display-format="dddd jDD jMMMM jYYYY" locale="fa,en" :color="colors[activeColorIndex]"></custom-date-picker>
                    <!-- <input type="text" class="form-control m-input" v-validate="'required'" name="item_inquire_date" v-model="s_fields.item_inquire_date" :placeholder="$t('item_inquire.date_holder')">
                    <span v-if="s_errors && s_errors.item_inquire_date" class="m-form__help text-danger">{{s_errors.item_inquire_date[0]}}</span>
                    <span v-else :class="{'m-form__help':true, 'text-danger':errors.has('item_inquire_date')}" >{{errors.has('item_inquire_date') ? errors.first('item_inquire_date'): $t("item_inquire.date_note") }} </span> -->
                </div>
             </div>
             <div :class="{'form-group m-form__group row':true,'has-danger':errors.has('item_inquire_number')}">
                 <div class="col-lg-12">
                     <label>{{$t('item_inquire.desc')}}</label>
                     <editor api-key="API_KEY" :init="{plugins: 'wordcount'}" v-model="s_fields.item_inquire_desc"></editor>
                 </div>
            </div>
        </div>

        <div class="m-portlet__foot m-portlet__no-border m-portlet__foot--fit">
            <div class="m-form__actions m-form__actions--solid">
                <div class="row">
                    <div class="col-lg-2"></div>
                    <div class="col-lg-6">
                        <button type="submit" class="btn btn-brand">{{this.$route.meta.btn_label}}</button>
                        <router-link to="/items/inquire" class="btn btn-secondary">{{$t('global.cancel')}}</router-link>
                    </div>
                </div>
            </div>
        </div>
    </form>
</template>

<script>
    import SubmitForm from '../../router/SubmitForm.js'
    import Editor from '@tinymce/tinymce-vue';
    export default {
        name: 'item-inquire-form',
        components: {
          'editor': Editor
        },
        mixins: [SubmitForm],
        data(){
            return {
                colors: ['#5c6bc0', '#e91e63', '#7b1fa2', '#1e88e5', '#03a9f4', '#00acc1', '#ff9800', 'dimgray'],
                activeColorIndex: 0,
                'url': 'api/inquire',
                'editMode': this.$route.meta.editMode,
                 s_fields: {
                }
            }
        },
        created()
        {
            this.$root.$on('get-data-for-edit', () => {
              this.getDataForEdit();
              this.$root.$off('get-data-for-edit');
            })
        }
    }
</script>
